VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::content::library::ItemTypes::FindSpec Class Reference

The `Item.FindSpec` class specifies the properties that can be used as a filter to find library items. More...

List of all members.

## Public Member Functions
| FindSpec ()
| Creates a default new instance.
string | GetName ()
| The name of the library item.
void | SetName (string name)
| The name of the library item.
string | GetLibraryId ()
| The identifier of the library containing the item.
void | SetLibraryId (string libraryId)
| The identifier of the library containing the item.
string | GetSourceId ()
| The identifier of the library item as reported by the publisher.
void | SetSourceId (string sourceId)
| The identifier of the library item as reported by the publisher.
string | Get_Type ()
| The type of the library item.
void | SetType (string type)
| The type of the library item.
bool | GetCached ()
| Whether the item is cached.
void | SetCached (bool?cached)
| Whether the item is cached.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `Item.FindSpec` class specifies the properties that can be used as a filter to find library items.

When multiple fields are specified, all properties of the item must match the specification.

## Constructor & Destructor Documentation

vmware::content::library::ItemTypes::FindSpec::FindSpec | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::content::library::ItemTypes::FindSpec::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::content::library::ItemTypes::FindSpec::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::content::library::ItemTypes::FindSpec::_GetType | ( |  | ) | `[inline]`

bool vmware::content::library::ItemTypes::FindSpec::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::content::library::ItemTypes::FindSpec::_Validate | ( |  | ) | `[inline]`

override bool vmware::content::library::ItemTypes::FindSpec::Equals | ( | object | obj | ) | `[inline]`

string vmware::content::library::ItemTypes::FindSpec::Get_Type | ( |  | ) | `[inline]`

The type of the library item.

The type is case-insensitive. See ItemModel.type .

bool vmware::content::library::ItemTypes::FindSpec::GetCached | ( |  | ) | `[inline]`

Whether the item is cached.

Possible values are 'true' or 'false'. See ItemModel.cached .

override int vmware::content::library::ItemTypes::FindSpec::GetHashCode | ( |  | ) | `[inline]`

string vmware::content::library::ItemTypes::FindSpec::GetLibraryId | ( |  | ) | `[inline]`

The identifier of the library containing the item.

See ItemModel.libraryId . When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.content.Library` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.content.Library` .

string vmware::content::library::ItemTypes::FindSpec::GetName | ( |  | ) | `[inline]`

The name of the library item.

The name is case-insensitive. See ItemModel.name .

string vmware::content::library::ItemTypes::FindSpec::GetSourceId | ( |  | ) | `[inline]`

The identifier of the library item as reported by the publisher.

See ItemModel.sourceId . When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.content.library.Item` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.content.library.Item` .

void vmware::content::library::ItemTypes::FindSpec::SetCached | ( | bool? | cached | ) | `[inline]`

Whether the item is cached.

Possible values are 'true' or 'false'. See ItemModel.cached .

void vmware::content::library::ItemTypes::FindSpec::SetLibraryId | ( | string | libraryId | ) | `[inline]`

The identifier of the library containing the item.

See ItemModel.libraryId . When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.content.Library` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.content.Library` .

void vmware::content::library::ItemTypes::FindSpec::SetName | ( | string | name | ) | `[inline]`

The name of the library item.

The name is case-insensitive. See ItemModel.name .

void vmware::content::library::ItemTypes::FindSpec::SetSourceId | ( | string | sourceId | ) | `[inline]`

The identifier of the library item as reported by the publisher.

See ItemModel.sourceId . When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.content.library.Item` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.content.library.Item` .

void vmware::content::library::ItemTypes::FindSpec::SetType | ( | string | type | ) | `[inline]`

The type of the library item.

The type is case-insensitive. See ItemModel.type .

override string vmware::content::library::ItemTypes::FindSpec::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- ItemTypes.cs